/*
	File:		TestTool.h

	Contains:	Declaration of a TTestTool

	Copyright:	 1991-1994 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __TESTTOOL__
#define __TESTTOOL__

#ifndef __LIBRARYMANAGERCLASSES__
#include <LibraryManagerClasses.h>
#endif

#define kTestToolPrefix		"appl:test$"

typedef int (*_CDECL PrintfFunc)(const char *, char*);
 
/**********************************************************************
** CLASS TTestTool
***********************************************************************/

#define kTTestToolID kTestToolPrefix "TTestTool,1.2"

class TTestTool : public TDynamic
{
	public:
		virtual				~_CDECL TTestTool();
							_CDECL TTestTool();
							_CDECL TTestTool(TStandardPool* thePool);

#ifndef USEMPW
		virtual void		_CDECL SetPrintf(PrintfFunc);
#endif
		virtual void		_CDECL Printf(const char*, ...) const;
		virtual void		_CDECL InitTest(BooleanParm verbose, BooleanParm debug, int argc, char** argv) = 0;		
		virtual void		_CDECL RunTestIteration(BooleanParm verbose, BooleanParm debug)	= 0;
		virtual void		_CDECL EndTest(BooleanParm verbose, BooleanParm debug)			= 0;

			void			SetPool(TStandardPool* thePool);
			TStandardPool* 	GetPool();
		
	private:
#ifndef USEMPW
		PrintfFunc			fPrint;
		Ptr					fPrintWorld;
#endif
		TStandardPool* 		fPool;
};


/*	-----------------------------------------------------------------
	Inline functions for TTestTool
	----------------------------------------------------------------- */

	inline void TTestTool::SetPool(TStandardPool* thePool)
	{
		fPool = thePool;
	}
	
	inline TStandardPool* TTestTool::GetPool()
	{
		return fPool;
	}


#endif
